<div class="row">
  <section
    id="welcome"
    [style.background-image]="'url(' + backgroundImage + ')'"
  >
    <h1 [innerHTML]="platform_intro"></h1>
    <p [innerHTML]="platform_teaser"></p>
    <a
      [routerLink]="['/home']"
      fragment="programs"
      class="scroll"
    >
      <span i18n="Scroll down to see more !@@scrollForMore">Scrollez pour en voir plus !</span>
      <img
        class="d-block"
        src="assets/scroll.svg"
        alt="scroll to #programs"
      />
    </a>
  </section>
</div>

<div
  *ngIf="stats && mainConfig.FRONTEND.DISPLAY_STATS"
  class="row row-0 general-stat"
>
  <div class="col-xs-6 col-md-3 col-lg-3 no-padding">
    <div class="panel panel-teal panel-widget border-right">
      <div class="no-padding">
        <em class="fa fa-xl fa-search color-primary"></em>
        <div class="large">{{ stats.nb_obs }}</div>
        <div
          class="text-muted"
          i18n="Observations@@observations"
        >Observations</div>
      </div>
    </div>
  </div>
  <div class="col-xs-6 col-md-3 col-lg-3 no-padding">
    <div class="panel panel-blue panel-widget border-right">
      <div class="no-padding">
        <em class="fa fa-xl fa fa-leaf color-secondary"></em>
        <div class="large">{{ stats.nb_espece }}</div>
        <div
          class="text-muted"
          i18n="species@@species"
        >Espèces</div>
      </div>
    </div>
  </div>
  <div class="col-xs-6 col-md-3 col-lg-3 no-padding">
    <div class="panel panel-orange panel-widget border-right">
      <div class="no-padding">
        <em class="fa fa-xl fa-users color-primary"></em>
        <div class="large">{{ stats.nb_user }}</div>
        <div
          class="text-muted"
          i18n="Observers@@observers"
        >Observateurs</div>
      </div>
    </div>
  </div>
  <div class="col-xs-6 col-md-3 col-lg-3 no-padding">
    <div class="panel panel-red panel-widget">
      <div class="no-padding">
        <em class="fa fa-xl fa fas fa-share-alt color-secondary"></em>
        <div class="large">{{ stats.nb_program }}</div>
        <div
          class="text-muted"
          [innerHtml]="
          mainConfig.programs_label[localeId]
                ? mainConfig.programs_label[localeId]
                : 'Programmes'
        "
        ></div>
      </div>
    </div>
  </div>
</div>

<div class="row">
  <!-- LES PROGRAMMES -->
  <section id="programs">
    <div id="programs-cards">
      <div class="container-fluid programs">
        <div class="row justify-content-center align-items-center">
          <div
            class="col-xl-3 col-lg-4 col-md-4 col-sm-6"
            *ngFor="let p of programs"
          >
            <a [routerLink]="[
                                '/programs',
                                p.id_program,
                                p.module.name
                            ]">
              <div class="text-center">
                <div
                  class="img-hover"
                  [ngbTooltip]="p.short_desc"
                  [ngStyle]="{
                                        'background-image': p.logo
                                            ? 'url(' + p.logo + ')'
                                            : p.image
                                            ? 'url(' + p.image + ')'
                                            : 'url(' + 'assets/prog1.jpg' + ')',
                                        'background-size': 'cover'
                                    }"
                ></div>
                <h5 class="card-title">
                  {{ p.title }}<br>
                  <small class="text-muted">{{p.project.name}} </small>
                </h5>
                <p
                  class="short_desc"
                  [innerHTML]="p.html_short_desc"
                ></p>

                <div class="overlay-prog">
                  <p class="overlay-text">
                    {{ mainConfig.platform_participate[ localeId ] }} </p>
                </div>
              </div>
            </a>
          </div>
        </div>
      </div>
    </div>
    <div
      id="slider"
      class="carousel slide"
      data-ride="carousel"
    >
      <ol class="carousel-indicators">
        <li
          *ngFor="let p of programs; index as i; first as isFirst"
          data-target="#slider"
          [attr.data-slide-to]="i"
          [class.active]="isFirst"
        ></li>
      </ol>
      <h2 i18n="Programs of the moment@@momenPrograms">Les programmes du moment</h2>
      <div class="carousel-inner">
        <div
          *ngFor="let p of programs; first as isFirst"
          [ngClass]="{ active: isFirst, 'carousel-item': true }"
        >
          <img
            class="d-block w-100 default-img"
            [src]="p.image || 'assets/default_program.jpg'"
            alt="Programme {{ p.title }}"
          />
          <div class="carousel-text-container">
            <div
              class="carousel-text"
              tabindex="0"
            >
              <h3>{{ p.title }}<br>
                <small class="text-muted">{{p.project.name}} </small>
              </h3>
              <p [innerHTML]="p.html_short_desc"></p>
              <!-- <div class="mobile-hidden" [innerHTML]="p.html_long_desc"></div> -->
              <a
                class="btn-big"
                [routerLink]="[
                                  '/programs',
                                  p.id_program,
                                  p.module.name
                                ]"
              >{{
                mainConfig.platform_participate[localeId]
                }}</a>
            </div>
          </div>
        </div>
      </div>
      <a
        class="carousel-control-prev"
        href="#slider"
        role="button"
        data-slide="prev"
      >
        <span
          class="carousel-control-prev-icon"
          aria-hidden="true"
        ></span>
        <span
          class="sr-only"
          i18n="Carousel previous@@ngbCarouselPrev"
        >Précédent</span>
      </a>
      <a
        class="carousel-control-next"
        href="#slider"
        role="button"
        data-slide="next"
      >
        <span
          class="carousel-control-next-icon"
          aria-hidden="true"
        ></span>
        <span
          class="sr-only"
          i18n="Carousel next@@ngbCarouselNext"
        >Prochain</span>
      </a>
    </div>
  </section>
</div>
<div row>
  <app-home-custom></app-home-custom>
</div>
